<!DOCTYPE html><html lang="en"><head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>rahulchanglani</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.0/animate.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.1/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
    <script src="https://unpkg.com/magic-grid/dist/magic-grid.min.js"></script>
    <link rel="stylesheet" href="index.css">
  <link rel="icon" href="https://avatars0.githubusercontent.com/u/12871082?v=4" type="image/png"></head>

  <body>
    <div id="loading">
      <div id="spinner"></div>
    </div>
    <div id="profile">
      <div id="profile_img" style="background: url(https://avatars0.githubusercontent.com/u/12871082?v=4) center;"></div>
      <div id="username"><span style="display:block;">Rahul Changlani</span><a href="https://github.com/rahulchanglani">@rahulchanglani</a></div>
      <div id="userbio" style="display: none;">undefined</div>
      <div id="about">
                <span style="display:none;"><i class="fas fa-users"></i> &nbsp; null</span>
                <span style="display:none;"><i class="fas fa-envelope"></i> &nbsp; null</span>
                <span style="display:none;"><i class="fas fa-link"></i> &nbsp; <a href=""></a></span>
                <span style="display:block;"><i class="fas fa-map-marker-alt"></i> &nbsp;&nbsp; India</span>
                <span style="display:block;"><i class="fas fa-user-tie"></i> &nbsp;&nbsp; Available for hire</span>
                <div class="socials">
                <span style="display:none !important;"><a href="https://www.twitter.com/undefined" target="_blank" class="socials"><i class="fab fa-twitter"></i></a></span>
                <span style="display:none !important;"><a href="https://www.dribbble.com/undefined" target="_blank" class="socials"><i class="fab fa-dribbble"></i></a></span>
                <span style="display:block;"><a href="https://www.linkedin.com/in/rahulchanglani/" target="_blank" class="socials"><i class="fab fa-linkedin-in"></i></a></span>
                <span style="display:block;"><a href="https://www.medium.com/@rahul.changlani/" target="_blank" class="socials"><i class="fab fa-medium-m"></i></a></span>
                </div>
                </div>
    </div>
    <div id="display">
      <div id="work">
        <h1>Work.</h1>
        <div class="projects" id="work_section">
                        <a href="https://github.com/rahulchanglani/js-testing" target="_blank">
                        <section>
                            <div class="section_title">js-testing</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/graphql-basics" target="_blank">
                        <section>
                            <div class="section_title">graphql-basics</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/ng-Suraagni" target="_blank">
                        <section>
                            <div class="section_title">ng-Suraagni</div>
                            <div class="about_section">
                            <span style="display:block;">Suraagini--MEAN-Music-Tracks-Explorer</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/extensions" target="_blank">
                        <section>
                            <div class="section_title">extensions</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; HTML</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-forms-td" target="_blank">
                        <section>
                            <div class="section_title">angular4-forms-td</div>
                            <div class="about_section">
                            <span style="display:block;">Angular 4 app showing usage of td forms (MOOC)</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; TypeScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-forms-reactive" target="_blank">
                        <section>
                            <div class="section_title">angular4-forms-reactive</div>
                            <div class="about_section">
                            <span style="display:block;">Angular 4 app showing usage of reactive forms (MOOC)</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:none;"><i class="fas fa-code"></i>&nbsp; null</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-http" target="_blank">
                        <section>
                            <div class="section_title">angular4-http</div>
                            <div class="about_section">
                            <span style="display:block;">Angular 4 app showing usage of http service (MOOC)</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; TypeScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-pipes" target="_blank">
                        <section>
                            <div class="section_title">angular4-pipes</div>
                            <div class="about_section">
                            <span style="display:block;">Angular 4 app showing usage of pipes (MOOC)</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; TypeScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-routing" target="_blank">
                        <section>
                            <div class="section_title">angular4-routing</div>
                            <div class="about_section">
                            <span style="display:block;">Angular 4 app showing usage of routing (MOOC)</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; TypeScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/JS-Fatigue" target="_blank">
                        <section>
                            <div class="section_title">JS-Fatigue</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:none;"><i class="fas fa-code"></i>&nbsp; null</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/CW" target="_blank">
                        <section>
                            <div class="section_title">CW</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-directives" target="_blank">
                        <section>
                            <div class="section_title">angular4-directives</div>
                            <div class="about_section">
                            <span style="display:block;">Angular 4 app showing usage of directives (MOOC)</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; TypeScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-services" target="_blank">
                        <section>
                            <div class="section_title">angular4-services</div>
                            <div class="about_section">
                            <span style="display:block;">Angular 4 app showing usage of services (MOOC)</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; TypeScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-custom-data-binding" target="_blank">
                        <section>
                            <div class="section_title">angular4-custom-data-binding</div>
                            <div class="about_section">
                            <span style="display:block;">Angular 4 app showing usage of custom property &amp; event binding, ViewEncapsulation, Local Reference, Life Cycle Hooks (MOOC)</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; TypeScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-tour-of-heroes" target="_blank">
                        <section>
                            <div class="section_title">angular4-tour-of-heroes</div>
                            <div class="about_section">
                            <span style="display:block;">Angular 4 tutorial angular.io</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/work_board" target="_blank">
                        <section>
                            <div class="section_title">work_board</div>
                            <div class="about_section">
                            <span style="display:block;">Work Board using angular 4</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; TypeScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-bootstrap-material" target="_blank">
                        <section>
                            <div class="section_title">angular4-bootstrap-material</div>
                            <div class="about_section">
                            <span style="display:block;">Sample angular4 app with ng-bootstrap &amp; ng-material usage</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; TypeScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-basics" target="_blank">
                        <section>
                            <div class="section_title">angular4-basics</div>
                            <div class="about_section">
                            <span style="display:block;">Angular 4 app components, data binding, directives basics (MOOC)</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; TypeScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular4-recipe-book" target="_blank">
                        <section>
                            <div class="section_title">angular4-recipe-book</div>
                            <div class="about_section">
                            <span style="display:block;">Angular 4 project on shopping of recipe book (MOOC)</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; TypeScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/AJAX-JQuery" target="_blank">
                        <section>
                            <div class="section_title">AJAX-JQuery</div>
                            <div class="about_section">
                            <span style="display:block;">udacity course on AJAX</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/react-with-redux-basics" target="_blank">
                        <section>
                            <div class="section_title">react-with-redux-basics</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/Data-Structures" target="_blank">
                        <section>
                            <div class="section_title">Data-Structures</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/crud-bank-MEAN" target="_blank">
                        <section>
                            <div class="section_title">crud-bank-MEAN</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/Locate-MEAN" target="_blank">
                        <section>
                            <div class="section_title">Locate-MEAN</div>
                            <div class="about_section">
                            <span style="display:block;">MEAN app Google Location API</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/passport-mean" target="_blank">
                        <section>
                            <div class="section_title">passport-mean</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/D3" target="_blank">
                        <section>
                            <div class="section_title">D3</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/REACT-starter-meetup" target="_blank">
                        <section>
                            <div class="section_title">REACT-starter-meetup</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/angular-webpack" target="_blank">
                        <section>
                            <div class="section_title">angular-webpack</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/MEAN-npm-packages-exploring" target="_blank">
                        <section>
                            <div class="section_title">MEAN-npm-packages-exploring</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/Angular-localstorage" target="_blank">
                        <section>
                            <div class="section_title">Angular-localstorage</div>
                            <div class="about_section">
                            <span style="display:block;">Local Storage in Angular JS</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:none;"><i class="fas fa-code"></i>&nbsp; null</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/Simple-PWA" target="_blank">
                        <section>
                            <div class="section_title">Simple-PWA</div>
                            <div class="about_section">
                            <span style="display:none;">undefined</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:inline-block;"><i class="fas fa-code"></i>&nbsp; JavaScript</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/Writing-README-documentation" target="_blank">
                        <section>
                            <div class="section_title">Writing-README-documentation</div>
                            <div class="about_section">
                            <span style="display:block;">.md markdown documents</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:none;"><i class="fas fa-code"></i>&nbsp; null</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a>
                        <a href="https://github.com/rahulchanglani/MongoDB-M102-DBA-Course" target="_blank">
                        <section>
                            <div class="section_title">MongoDB-M102-DBA-Course</div>
                            <div class="about_section">
                            <span style="display:block;">2016 M102</span>
                            </div>
                            <div class="bottom_section">
                                <span style="display:none;"><i class="fas fa-code"></i>&nbsp; null</span>
                                <span><i class="fas fa-star"></i>&nbsp; 0</span>
                                <span><i class="fas fa-code-branch"></i>&nbsp; 0</span>
                            </div>
                        </section>
                        </a></div>
      </div>
      <div id="forks" style="display:none;">
        <h1>Forks.</h1>
        <div class="projects" id="forks_section"></div>
      </div>
      <div id="blog_section">
        <h1>Blog.</h1>
        <div id="blogs"></div>
      </div>
      <div id="footer">
        <a href="https://github.com/imfunniee" target="_blank">made on earth by a human</a>
      </div>
    </div>
    <script type="text/javascript">
      setTimeout(function() {
        document.getElementById("loading").classList.add("animated");
        document.getElementById("loading").classList.add("fadeOut");
        setTimeout(function() {
          document.getElementById("loading").classList.remove("animated");
          document.getElementById("loading").classList.remove("fadeOut");
          document.getElementById("loading").style.display = "none";
        }, 800);
      }, 1500);
      $.getJSON("blog.json", function(blog) {
        blog = blog || [];
        if (blog.length == 0) {
          return (document.getElementById("blog_section").style.display =
            "none");
        }
        for (var i = 0; i < blog.length; i++) {
          $("#blogs").append(`
            <a href="./blog/${blog[i].url_title}/" target="_blank">
                <section>
                    <img src="./blog/${blog[i].url_title}/${blog[i].top_image}">
                    <div class="blog_container">
                        <div class="section_title">${blog[i].title}</div>
                        <div class="about_section">
                            ${blog[i].sub_title}
                        </div>
                    </div>
                </section>
            </a>
            `);
        }
      }).fail(function() {
        return (document.getElementById("blog_section").style.display = "none");
      });
    </script>

    <script>
      const magicProjectsGrid = new MagicGrid({
        container: "#work_section",
        animate: false,
        gutter: 30, // default gutter size
        static: true,
        useMin: false,
        maxColumns: 2,
        useTransform: true
      });

      const magicForksGrid = new MagicGrid({
        container: "#forks_section",
        animate: false,
        gutter: 30, // default gutter size
        static: true,
        useMin: false,
        maxColumns: 2,
        useTransform: true
      });

      $("document").ready(() => {
        magicProjectsGrid.listen();
        magicForksGrid.listen();
      });
    </script>
  

</body></html>